Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface DynSequence

All Superinterfaces:
  DynAny, Object

public interface DynSequence
extends Object, DynAny

The representation of a `DynAny` object that is associated with an IDL sequence.

Method Summary
`Any[]` | `get_elements()` Returns the value of every element in this sequence.
`int` | `length()` Returns the length of the sequence represented by this `DynFixed` object.
`void` | `length(int arg)` Sets the length of the sequence represented by this `DynFixed` object to the given argument.
`void` | `set_elements(Any[] value)` Sets the values of all elements in this sequence with the given array.

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Methods inherited from interface org.omg.CORBA.DynAny
`assign, copy, current_component, destroy, from_any, get_any, get_boolean, get_char, get_double, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### length

    public int length()

  Returns the length of the sequence represented by this `DynFixed` object.

  Returns:
    the length of the sequence

### length

    public void length(int arg)

  Sets the length of the sequence represented by this `DynFixed` object to the given argument.

  Parameters:
    `arg` - the length of the sequence

### get_elements

    public Any[] get_elements()

  Returns the value of every element in this sequence.

  Returns:
    an array of `Any` objects containing the values in the sequence
  See Also:
    `set_elements(org.omg.CORBA.Any[])`

### set_elements

    public void set_elements(Any[] value)
                      throws InvalidSeq

  Sets the values of all elements in this sequence with the given array.

  Parameters:
    `value` - the array of `Any` objects to be set
  Throws:
    `InvalidSeq` - if the array of values is bad
  See Also:
    `get_elements()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.